import * as TencentCloudCommon from "tencentcloud-sdk-nodejs-common";
import { DescribeDrawResourceListResponse, DescribeDrawResourceListRequest } from "./mall_models";
/**
 * mall client
 * @class
 */
export declare class Client extends TencentCloudCommon.AbstractClient {
    constructor(clientConfig: TencentCloudCommon.ClientConfig);
    /**
     * 依据客户的Uin查询开通的资源列表
     */
    DescribeDrawResourceList(req: DescribeDrawResourceListRequest, cb?: (error: string, rep: DescribeDrawResourceListResponse) => void): Promise<DescribeDrawResourceListResponse>;
}
